Name:           gcaliper
Version:        1.0.3
Release:        %mkrel 1
Summary:        Professional screen caliper and ruler with variable rotation
Group:  	Graphics 
License:        MIT
URL:            https://github.com/Arakis/gcaliper
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  %{_lib}mono-devel
BuildRequires:	gtk-sharp2-devel
BuildRequires:	ImageMagick
BuildRequires:	mono-addins-devel
Requires:	mono

%description
gCaliper is a screen caliper to measure pixel distances,
even with variable rotation. The theme is customizable.

See https://github.com/Arakis/gcaliper for documentation

%prep
%setup -q %{name}-%{version}

%build
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# icons
# gcaliper installs with an .ico file that imagemagick cannot process. Sep/2014

# Create XDG menu entry
%__install -dm 755 %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Comment=Screen caliper and ruler
Name=gCaliper
GenericName=%{name}
Type=Application
Exec=gcaliper
Terminal=false
Categories=Graphics;X-MandrivaLinux-Multimedia-Graphics;
StartupNotify=true
EOF

%post
update-desktop-database -q

%postun
update-desktop-database -q

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_bindir}
%{_datadir}

%clean
rm -rf %buildroot

%changelog
* Sun Sep 21 2014 MBantz <martin dot bantz at gmail dot com> 1.0.3-1pclos2014
- Built for PCLinuxOS
